MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028157Community[OCCT] OCCT:Shape Healingpublic2016-11-25 18:092017-12-04 21:01
ReporterMarkus 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028157: Setting the tolerance of a face to a small value and then fixing it leads to a face with vertex-vertex intersections
DescriptionOur aim is to minimize the tolerance of a face.

Until now, we did the following:
- setting the tolerance to a small value
- fixing the shape

In the appended case this leads to a face with vertex-vertex intersections according to bopcheck.

Is this a bug or is it to be expected?
Is there a better ("safe") way for minimizing the tolerance of a face?
Steps To Reproducepload ALL
brunparallel 1
restore init.brep n
whatis n
tolerance n
checkshape n
bopcheck n
restore solid.brep s
whatis s
tolerance s
checkshape s
bopcheck s
bop s n
bopcommon r
whatis r
explode r
whatis r_1
tolerance r_1
settolerance r_1 1e-7
fixshape rr r_1
tolerance rr
checkshape rr
bopcheck rr
#=> now there are self intersections
TagsNo tags attached.
Test case numberbugs modalg_7 bug28157
Attached Files? file icon init.brep (8,205 bytes) 2016-11-25 18:09
? file icon solid.brep (2,176 bytes) 2016-11-25 18:09

- Relationships

-  Notes
(0069880)
git (administrator)
2017-08-25 15:34

Branch CR28157 has been created by mkv.

SHA-1: b6684f5a3cf6fc7cae3f4a7cc9045ebe5fba4de2


Detailed log of new commits:

Author: mkv
Date: Fri Aug 25 15:32:56 2017 +0300

    0028157: Setting the tolerance of a face to a small value and then fixing it leads to a face with vertex-vertex intersections
    
    Problem is not reproduced on current master. Issue must be closed on 7.2.0.
    Test case was added only
(0070115)
mkv (tester)
2017-08-30 17:57

Dear BugMaster,
Test case
bugs modalg_7 bug28157 is OK on current master.
(0070116)
mkv (tester)
2017-08-30 17:58

Dear BugMaster,
Branch CR28157 from occt git-repository is TESTED.
(0070999)
git (administrator)
2017-09-29 17:11

Branch CR28157 has been deleted by kgv.

SHA-1: b6684f5a3cf6fc7cae3f4a7cc9045ebe5fba4de2

- Related Changesets
occt: master 4c540c21
Timestamp: 2017-08-25 12:32:56
Author: mkv
Committer: bugmaster
Details ] Diff ]
0028157: Setting the tolerance of a face to a small value and then fixing it leads to a face with vertex-vertex intersections

Problem is not reproduced on current master. Issue must be closed on 7.2.0.
Test case was added only
add - tests/bugs/modalg_7/bug28157 Diff ] File ]
occt: master bcb8fa43
Timestamp: 2017-08-25 12:32:56
Author: mkv
Committer: bugmaster
Details ] Diff ]
0028157: Setting the tolerance of a face to a small value and then fixing it leads to a face with vertex-vertex intersections

Problem is not reproduced on current master. Issue must be closed on 7.2.0.
Test case was added only
add - tests/bugs/modalg_7/bug28157 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-11-25 18:09 Timo New Issue
2016-11-25 18:09 Timo Assigned To => gka
2016-11-25 18:09 Timo File Added: init.brep
2016-11-25 18:09 Timo File Added: solid.brep
2016-11-28 12:38 Timo Summary Setting the tolerance of a face to a small value and then fixit leads to a face with vertex-vertex intersections => Setting the tolerance of a face to a small value and then fixing it leads to a face with vertex-vertex intersections
2017-05-31 15:37 Timo Reporter Timo => Markus
2017-07-27 11:15 abv Target Version 7.2.0 => 7.3.0*
2017-08-25 15:34 git Note Added: 0069880
2017-08-30 17:57 mkv Note Added: 0070115
2017-08-30 17:57 mkv Assigned To gka => bugmaster
2017-08-30 17:57 mkv Status new => feedback
2017-08-30 17:58 mkv Note Added: 0070116
2017-08-30 17:58 mkv Status feedback => tested
2017-08-30 17:58 mkv Test case number => bugs modalg_7 bug28157
2017-09-21 19:33 bugmaster Changeset attached => occt master 4c540c21
2017-09-21 19:33 bugmaster Status tested => verified
2017-09-21 19:33 bugmaster Resolution open => fixed
2017-09-21 19:49 apn Target Version 7.3.0* => 7.2.0
2017-09-22 11:59 bugmaster Target Version 7.2.0 => 7.2.1
2017-09-29 13:26 bugmaster Changeset attached => occt master bcb8fa43
2017-09-29 17:11 git Note Added: 0070999
2017-12-04 21:01 kgv Fixed in Version => 7.2.0
2017-12-04 21:01 kgv Target Version 7.2.1 => 7.2.0


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker